#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	alabaster
Summary:	A configurable sidebar-enabled Sphinx theme
Summary(pl.UTF-8):	Konfigurowany motyw z bocznym panelem dla Sphinksa
Name:		python-%{module}
Version:	0.7.4
Release:	3
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/pypi/alabaster
Source0:	https://pypi.python.org/packages/source/a/alabaster/%{module}-%{version}.tar.gz
# Source0-md5:	ba31bf652194200428aa4e3d976f5ccd
URL:		https://pypi.python.org/pypi/alabaster
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-setuptools >= 7.0
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools >= 7.0
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A configurable sidebar-enabled Sphinx theme.

This theme is a modified "Kr" Sphinx theme from @kennethreitz
(especially as used in his Requests project), which was itself
originally based on @mitsuhiko's theme used for Flask & related
projects.

%description -l pl.UTF-8
Konfigurowany motyw z bocznym panelem (sidebarem) dla Sphinksa.

Motyw ten to zmodyfikowany motyw Sphinksa "Kr" od @kennethreitz
(konkretnie wersja używana w jego projekcie Requests), pierwotnie
oparty na motywie @mitsuhiko używanym w projekcie Flash i powiązanych
z nim.

%package -n python3-%{module}
Summary:	A configurable sidebar-enabled Sphinx theme
Summary(pl.UTF-8):	Konfigurowany motyw z bocznym panelem dla Sphinksa
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
A configurable sidebar-enabled Sphinx theme

This theme is a modified "Kr" Sphinx theme from @kennethreitz
(especially as used in his Requests project), which was itself
originally based on @mitsuhiko's theme used for Flask & related
projects.

%description -n python3-%{module} -l pl.UTF-8
Konfigurowany motyw z bocznym panelem (sidebarem) dla Sphinksa.

Motyw ten to zmodyfikowany motyw Sphinksa "Kr" od @kennethreitz
(konkretnie wersja używana w jego projekcie Requests), pierwotnie
oparty na motywie @mitsuhiko używanym w projekcie Flash i powiązanych
z nim.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%{__python} setup.py build --build-base build-2 %{?with_tests:test}
%endif

%if %{with python3}
%{__python3} setup.py build --build-base build-3 %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build --build-base build-2 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Mon Sep 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-alabaster.git;a=log;h=master

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e752832
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6cf96bf
- python 3.5 rebuild
- release 2 (by relup.sh)

* Sun Jun 21 2015 Jakub Bogusz <qboosh@pld-linux.org> c05795a
- pl

* Mon Jun 15 2015 Elan Ruusamäe <glen@delfi.ee> 2c7296e
- use C encoding for en

* Mon Jun 15 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> afc9ffc
- new package

